apiVersion: argoproj.io/v1alpha1
kind: ApplicationSet
metadata:
  name: manifest-sit
spec:
  generators:
  - scmProvider:
      gitlab:
        # The base GitLab group to scan.  You can either use the group id or the full namespaced path.
        group: "126"
        # For self-hosted GitLab:
        api: https://<url>/api/v4
        # If true, scan every branch of every repository. If false, scan only the default branch. Defaults to false.
        allBranches: true
        # If true, recurses through subgroups. If false, it searches only in the base group. Defaults to false.
        includeSubgroups: true
		insecure: true
        # Reference to a Secret containing an access token. (optional)
        tokenRef:
          secretName: devops-secret
          key: token
  template:
    metadata:
      name: '{{ repository }}'
	  #labels:
        #label: "value1"
    spec:
      source:
        repoURL: '{{ url }}'
        targetRevision: '{{ branch }}'
        path: gitops/sit
      project: manifest
      destination:
        server: https://kubernetes.default.svc
        namespace: manifest
